import React, { useEffect, useState } from "react";

const CircularProgress: React.FC = () => {
  const [rotation, setRotation] = useState<number>(0);

  useEffect(() => {
    const intervalId = setInterval(() => {
      setRotation((rotation) => rotation + 5);
    }, 50);

    return () => clearInterval(intervalId);
  }, []);

  return (
    <div
      style={{
        marginTop: "50px",
        display: "flex",
        justifyContent: "center",
      }}
    >
      <div
        style={{
          position: "relative",
          width: "50px",
          height: "50px",
        }}
      >
        <div
          style={{
            position: "absolute",
            top: 0,
            left: 0,
            width: "100%",
            height: "100%",
            borderRadius: "50%",
            border: "5px solid gray",
            borderTopColor: "#21D969",
            transform: `rotate(${rotation}deg)`,
            transition: "transform 0.05s linear",
          }}
        />
        <div
          style={{
            position: "absolute",
            top: "5px",
            left: "5px",
            width: "calc(100% - 6px)",
            height: "calc(100% - 6px)",
            borderRadius: "50%",
            backgroundColor: "white",
          }}
        />
      </div>
    </div>
  );
};

export default CircularProgress;
